#! /bin/sh

TMP_DIR=$(mktemp -d)

echo ""
echo "Sauvegarde de nextcloud"

# Stop the service
echo "Mise en maintenance du service Nextcloud"
sudo -u www-data php $NC_DIR/occ maintenance:mode --on

# Backup the database
echo "Dump de la base de données"
PGPASSWORD=$NC_DBPASSWD pg_dump -h $NC_DBHOST -d $NC_DBNAME -p $NC_DBPORT -U $NC_DBUSER > $TMP_DIR/db.pgsql

# Create archive file
echo "Mise en archive des données"
tar -C $NC_DIR -cf $BACKUP_LOCATION/nextcloud-$DATE.tar data themes config
echo "Mise en archive du dump de la base de données"
tar -rf $BACKUP_LOCATION/nextcloud-$DATE.tar -C $TMP_DIR db.pgsql
echo "Compression de la sauvegarde"
gzip -f $BACKUP_LOCATION/nextcloud-$DATE.tar
echo "Fichier enregistré dans dans $BACKUP_LOCATION/nextcloud-$DATE.tar.gz"

# Restart the service
echo "Remise en fonctionnement du service Nextcloud"
sudo -u www-data php $NC_DIR/occ maintenance:mode --off

rm -rf $TMP_DIR

echo "Sauvegarde terminée !"
